Tp::Service::ChannelInterfaceFileTransferMetadataAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::Service::ChannelInterfaceFileTransferMetadataAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Member Functions
QString | ServiceName () const
void | SetServiceName (const QString &newValue)
Tp::Metadata | Metadata () const
void | SetMetadata (const Tp::Metadata &newValue)
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.FileTransfer.Metadata".

## Member Function Documentation

QString Tp::Service::ChannelInterfaceFileTransferMetadataAdaptor::ServiceName | ( |  | ) | const

Return the value of the exported D-Bus object property `ServiceName` of type `QString`.

Adaptees should export this property as a Qt property named 'serviceName' with type QString.

A string representing the service name that will be used over the file transfer channel. This property is equivalent to the ChannelTypeDBusTubeInterface::ServiceName and ChannelTypeStreamTubeInterface::Service properties. If no service name is given then this property will be the empty string.

Returns
  The value of exported property `ServiceName`.

void Tp::Service::ChannelInterfaceFileTransferMetadataAdaptor::SetServiceName | ( | const QString & | newValue | ) |

Set the value of the exported D-Bus object property `ServiceName` of type `QString`.

Adaptees should export this property as a writable Qt property named 'serviceName' with type QString.

A string representing the service name that will be used over the file transfer channel. This property is equivalent to the ChannelTypeDBusTubeInterface::ServiceName and ChannelTypeStreamTubeInterface::Service properties. If no service name is given then this property will be the empty string.

Tp::Metadata Tp::Service::ChannelInterfaceFileTransferMetadataAdaptor::Metadata | ( |  | ) | const

Return the value of the exported D-Bus object property `Metadata` of type `Tp::Metadata`.

Adaptees should export this property as a Qt property named 'metadata' with type Tp::Metadata.

Additional information about the file transfer set by the channel initiator. If no additional information is given then this property will be empty.

Returns
  The value of exported property `Metadata`.

void Tp::Service::ChannelInterfaceFileTransferMetadataAdaptor::SetMetadata | ( | const Tp::Metadata & | newValue | ) |

Set the value of the exported D-Bus object property `Metadata` of type `Tp::Metadata`.

Adaptees should export this property as a writable Qt property named 'metadata' with type Tp::Metadata.

Additional information about the file transfer set by the channel initiator. If no additional information is given then this property will be empty.